# SMDGraphs.jl
_A simple, light, and flexible API for graph-like data structure handling._

[![Stable Documentation](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliaspacemissiondesign.github.io/SMDGraphs.jl/stable/) 
[![Dev Documentation](https://img.shields.io/badge/docs-dev-blue.svg)](https://juliaspacemissiondesign.github.io/SMDGraphs.jl/dev/) 
[![Build Status](https://github.com/JuliaSpaceMissionDesign/SMDGraphs.jl/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/JuliaSpaceMissionDesign/SMDGraphs.jl/actions/workflows/ci.yml)
[![codecov](https://codecov.io/gh/JuliaSpaceMissionDesign/SMDGraphs.jl/branch/main/graph/badge.svg?token=3SJCV229XX)](https://codecov.io/gh/JuliaSpaceMissionDesign/SMDGraphs.jl)
[![Code Style: Blue](https://img.shields.io/badge/code%20style-blue-4495d1.svg)](https://github.com/invenia/BlueStyle)


The purpose of SMDGraphs.jl is to enable efficient support for graph operations and analysis 
on custom user-defined datatypes. It achieves so by offering a set of light-weight wrappers 
around [Graphs.jl](https://github.com/JuliaGraphs/Graphs.jl). 

## Installation

This package can be installed using Julia's package manager: 
```julia
julia> import Pkg; 
julia> Pkg.add("SMDGraphs.jl")
```

## Documentation 
Please refer to the [documentation](https://juliaspacemissiondesign.github.io/SMDGraphs.jl/stable/) for additional information.

## Supporting

This package was developed as part of the [JSMD](https://github.com/JuliaSpaceMissionDesign) ecosystem. 
If you found this package useful in your applications, please consider starring the repository.